{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing","properties":{"error":{"default":"BadRequest","type":"string"},"message":{"default":"Required arguments are missing in the request","type":"string"}},"type":"object"},"CompanyCreditDecisionResult":{"description":"Roaring Apps company credit decision","properties":{"address":{"type":"string"},"companyId":{"description":"Company identifier","type":"string"},"rejections":{"$ref":"#/components/schemas/CompanyRejection"},"statusCode":{"type":"string"},"statusText":{"type":"string"},"town":{"type":"string"},"zipCode":{"type":"string"}},"type":"object"},"CompanyRejection":{"description":"Credit decision rejection","properties":{"causeOfReject":{"type":"string"},"rejectComment":{"type":"string"},"rejectText":{"type":"string"}},"type":"object"},"NotFound":{"description":"Requested resource could not be found","properties":{"error":{"default":"NotFound","type":"string"},"message":{"default":"Requested resource could not be found","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Automated credit decisions if the company is to be granted a loan, credit or invoice.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Credit Decision","version":"1.1","x-logo":{"url":"https://assets.roaring.io/svg/credit-decision-company-v3.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"parameters":[{"description":"Company identification for the company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"Credit decision template","in":"query","name":"template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyCreditDecisionResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Check credit decision of company"}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/credit-decision/1.1"}],"x-category":"company","x-countries":["se"],"x-id":"CreditDecision"}